/*************************************************************************
*									 *
*	 YAP Prolog 							 *
*									 *
*	Yap Prolog was developed at NCCUP - Universidade do Porto	 *
*									 *
* Copyright L.Damas, V.S.Costa and Universidade do Porto 1985-1997	 *
*									 *
**************************************************************************
*									 *
* File:		hcnt.c							 *
* Last rev:								 *
* mods:									 *
* comments:	Global Stack garbage collector, no tags version          *
*									 *
*************************************************************************/
#ifdef SCCS
static char     SccsId[] = "%W% %G%";
#endif /* SCCS */

#include "absmi.h"
#include "yapio.h"
#include "alloc.h"

char *bp;

#include "hgccore.h"

Int
Yap_do_notag_gc(Int predarity, CELL *current_env, yamop *nextop, CELL *max)
{
  UInt alloc_sz = (CELL *)Yap_TrailTop-(CELL*)Yap_GlobalBase;

  bp = Yap_PreAllocCodeSpace();
  if (bp+alloc_sz > (char *)AuxSp) {
    /* not enough space */
    bp = (char *)Yap_ExpandPreAllocCodeSpace(alloc_sz, NULL);
  }
  if (!bp)
    return 0;
  bzero((void *)bp, alloc_sz);
  return execute_gc(predarity, current_env, nextop, max);
}

